org.apache.felix.cm.json.io

## Interface ConfigurationWriter.Builder

Enclosing interface:
  ConfigurationWriter

    public static interface ConfigurationWriter.Builder

Builder to create a writer. A builder can be obtained using `Configurations.buildWriter()`

### Method Summary

All Methods Instance Methods Abstract Methods
`ConfigurationWriter` `build(jakarta.json.stream.JsonGenerator generator)` Build the configuration writer for the provided JSON generator.
`ConfigurationWriter` `build(Writer writer)` Build the configuration writer for the provided writer.

### Method Detail

#### build

    ConfigurationWriter build(Writer writer)

Build the configuration writer for the provided writer. The writer is not closed when configuration(s) are written

Parameters:
  `writer` - The writer for the JSON
Returns:
  The configuration writer

#### build

    ConfigurationWriter build(jakarta.json.stream.JsonGenerator generator)

Build the configuration writer for the provided JSON generator. The generator is not closed when configuration(s) are written

Parameters:
  `generator` - The JSON generator
Returns:
  The configuration writer